Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_UTO Class Reference

Universal Time Object Implementation. More...

`#include <TAO_UTO.h>`

List of all members.

## Public Methods
| TAO_UTO (TimeBase::TimeT time, TimeBase::InaccuracyT inaccuracy, TimeBase::TdfT tdf)
| Constructor.
| ~TAO_UTO (void)
| Destructor.

## Detailed Description

Universal Time Object Implementation.

This is an encapsulation of the time. It provides the following operations on basic time.

- Construction of a UTO from piece parts, and extraction of the piece parts from a UTO. The piece parts are the readonly attributes : time inaccuracy time displacement factor structure with all the above.
- Comparison of time.
- Conversion from relative to absolute time, and conversion to an interval (TIO).

## Constructor & Destructor Documentation

TAO_UTO::TAO_UTO | ( | TimeBase::TimeT | time,
|  | TimeBase::InaccuracyT | inaccuracy,
|  | TimeBase::TdfT | tdf
| ) |

| Constructor.

TAO_UTO::~TAO_UTO | ( | void |  | ) |

| Destructor.

The documentation for this class was generated from the following files:

- TAO_UTO.h
- TAO_UTO.cpp